# Generated by Django 3.0.8 on 2020-11-15 16:47

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Pasar',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('namaPasar', models.CharField(max_length=100)),
                ('hotlinePasar', models.CharField(max_length=12)),
                ('fotoPasar', models.CharField(max_length=200, null=True)),
                ('jambukaPasar', models.TimeField(blank=True, null=True)),
                ('jamtutupPasar', models.TimeField(blank=True, null=True)),
                ('statuscovidPasar', models.CharField(choices=[('Aman', 'Aman'), ('Tidak Aman', 'Tidak Aman'), ('Aman Dengan Protokol', 'Aman dengan Protokol')], max_length=20)),
                ('alamatPasar', models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Penjual',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('namaPenjual', models.CharField(max_length=100)),
                ('kontakPenjual', models.CharField(max_length=12)),
                ('jenisJualan', models.CharField(max_length=100)),
                ('pasarPenjual', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='pasar_zaldy.Pasar')),
            ],
        ),
    ]
